| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Data Fields
eeprom_data_union::data_struct_type Struct Reference

EEPROM data structure. More...

## Detailed Description

EEPROM data structure.

Definition at line 162 of file DC2692A.ino.

## Data Fields
int16_t | cal_key
| The key that keeps track of the calibration. More...
uint8_t | soft_span_range [5]
| SoftSpan range. More...
uint16_t | dac_code_a [16]
| DAC Register A. More...
uint16_t | dac_code_b [16]
| DAC Register B. More...
uint16_t | toggle_word
| Toggle control word. More...
uint8_t | global_toggle_bit
| Global toggle bit. More...
uint8_t | mux_state
| Multiplexer address AND enable bit. More...
uint8_t | reference_mode
| Int. More...
uint8_t | alert
| Used to store the alert settings. More...
int32_t | max_power_threshold
| Used to store max power alert settings. More...
int32_t | min_power_threshold
| Used to store min power alert settings. More...
uint16_t | max_delta_sense_thresh
| Used to store max delta sense alert settings. More...
uint16_t | min_delta_sense_thresh
| Used to store min delta sense alert settings. More...
uint16_t | max_Vin_thresh
| Used to store max Vin alert settings. More...
uint16_t | min_Vin_thresh
| Used to store min Vin alert settings. More...
uint16_t | max_adin_thresh
| Used to store adin max alert settings. More...
uint16_t | min_adin_thresh
| Used to store adin min alert settings. More...
uint8_t | alert1
| Used to store the ALERT1 settings. More...
uint8_t | alert2
| Used to store the ALERT2 settings. More...
uint32_t | max_power_threshold
| Used to store max power alert settings. More...
uint32_t | min_power_threshold
| Used to store min power alert settings. More...

## Field Documentation

## ◆ alert

uint8_t eeprom_data_union::data_struct_type::alert

Used to store the alert settings.

Definition at line 909 of file DC1697A.ino.

## ◆ alert1

uint8_t eeprom_data_union::data_struct_type::alert1

Used to store the ALERT1 settings.

Definition at line 1777 of file DC2156.ino.

## ◆ alert2

uint8_t eeprom_data_union::data_struct_type::alert2

Used to store the ALERT2 settings.

Definition at line 1778 of file DC2156.ino.

## ◆ cal_key

int16_t eeprom_data_union::data_struct_type::cal_key

The key that keeps track of the calibration.

Definition at line 164 of file DC2692A.ino.

## ◆ dac_code_a

uint16_t eeprom_data_union::data_struct_type::dac_code_a

DAC Register A.

Definition at line 166 of file DC2692A.ino.

## ◆ dac_code_b

uint16_t eeprom_data_union::data_struct_type::dac_code_b

DAC Register B.

Definition at line 167 of file DC2692A.ino.

## ◆ global_toggle_bit

uint8_t eeprom_data_union::data_struct_type::global_toggle_bit

Global toggle bit.

Definition at line 169 of file DC2692A.ino.

## ◆ max_adin_thresh

uint16_t eeprom_data_union::data_struct_type::max_adin_thresh

Used to store adin max alert settings.

Definition at line 916 of file DC1697A.ino.

## ◆ max_delta_sense_thresh

uint16_t eeprom_data_union::data_struct_type::max_delta_sense_thresh

Used to store max delta sense alert settings.

Definition at line 912 of file DC1697A.ino.

## ◆ max_power_threshold [1/2]

int32_t eeprom_data_union::data_struct_type::max_power_threshold

Used to store max power alert settings.

Definition at line 910 of file DC1697A.ino.

## ◆ max_power_threshold [2/2]

uint32_t eeprom_data_union::data_struct_type::max_power_threshold

Used to store max power alert settings.

Definition at line 1779 of file DC2156.ino.

## ◆ max_Vin_thresh

uint16_t eeprom_data_union::data_struct_type::max_Vin_thresh

Used to store max Vin alert settings.

Definition at line 914 of file DC1697A.ino.

## ◆ min_adin_thresh

uint16_t eeprom_data_union::data_struct_type::min_adin_thresh

Used to store adin min alert settings.

Definition at line 917 of file DC1697A.ino.

## ◆ min_delta_sense_thresh

uint16_t eeprom_data_union::data_struct_type::min_delta_sense_thresh

Used to store min delta sense alert settings.

Definition at line 913 of file DC1697A.ino.

## ◆ min_power_threshold [1/2]

int32_t eeprom_data_union::data_struct_type::min_power_threshold

Used to store min power alert settings.

Definition at line 911 of file DC1697A.ino.

## ◆ min_power_threshold [2/2]

uint32_t eeprom_data_union::data_struct_type::min_power_threshold

Used to store min power alert settings.

Definition at line 1780 of file DC2156.ino.

## ◆ min_Vin_thresh

uint16_t eeprom_data_union::data_struct_type::min_Vin_thresh

Used to store min Vin alert settings.

Definition at line 915 of file DC1697A.ino.

## ◆ mux_state

uint8_t eeprom_data_union::data_struct_type::mux_state

Multiplexer address AND enable bit.

Definition at line 170 of file DC2692A.ino.

## ◆ reference_mode

uint8_t eeprom_data_union::data_struct_type::reference_mode

Int.

reference may be disabled in external reference mode (not required)

Definition at line 171 of file DC2692A.ino.

## ◆ soft_span_range

uint8_t eeprom_data_union::data_struct_type::soft_span_range

SoftSpan range.

Definition at line 165 of file DC2692A.ino.

## ◆ toggle_word

uint16_t eeprom_data_union::data_struct_type::toggle_word

Toggle control word.

Definition at line 168 of file DC2692A.ino.

The documentation for this struct was generated from the following files:

- DC2692A.ino
- DC2376A.ino
- DC2196A.ino
- DC2025A.ino
- DC1697A.ino
- DC2156.ino